Subject: bug#48350: 28.0.50; bytecomp-tests--dest-mountpoint test failure

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 12 Aug 2021 00:34:40 +0200

It's pretty frustrating -- if I eval it like this:

(call-process "/usr/bin/bwrap" nil t nil  "--ro-bind" "/" "/" "--bind" "/tmp/bytecomp-tests-gJRuM4/test.elc" "/tmp/bytecomp-tests-gJRuM4/test.elc" "/home/larsi/src/emacs/trunk/src/emacs" "--quick" "--batch" "--load=bytecomp" "--eval=(setq byte-compile-dest-file-function (lambda (_) \"/tmp/bytecomp-tests-gJRuM4/test.elc\") byte-compile-error-on-warn t)" "--funcall=batch-byte-compile" "/tmp/bytecomp-tests-gJRuM4/test.el")

then it works.  And it works on the command line.  It only fails when
running the test.  If I eval the test itself in a running Emacs, it also
works.

Most puzzling.  And it's even more frustrating that it's impossible to
get anything sensible out of the failing instance -- it fails when
trying to load stuff to report the error, I think?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no